
From: Paul Mackerras <paulus@samba.org>

This patch is from Nishanth Aravamudan <nacc@us.ibm.com>.

Replace schedule_timeout() with ssleep to simplify the code and to express the
delay in seconds instead of HZ.

Signed-off-by: Nishanth Aravamudan <nacc@us.ibm.com>
Signed-off-by: Paul Mackerras <paulus@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/traps.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/traps.c~ppc64-replace-schedule_timeout-in-die arch/ppc64/kernel/traps.c
--- 25/arch/ppc64/kernel/traps.c~ppc64-replace-schedule_timeout-in-die	2005-01-23 00:51:27.116553896 -0800
+++ 25-akpm/arch/ppc64/kernel/traps.c	2005-01-23 00:51:27.119553440 -0800
@@ -29,6 +29,7 @@
 #include <linux/interrupt.h>
 #include <linux/init.h>
 #include <linux/module.h>
+#include <linux/delay.h>
 #include <asm/kdebug.h>
 
 #include <asm/pgtable.h>
@@ -137,8 +138,7 @@ int die(const char *str, struct pt_regs 
 
 	if (panic_on_oops) {
 		printk(KERN_EMERG "Fatal exception: panic in 5 seconds\n");
-		set_current_state(TASK_UNINTERRUPTIBLE);
-		schedule_timeout(5 * HZ);
+		ssleep(5);
 		panic("Fatal exception");
 	}
 	do_exit(SIGSEGV);
_
